Spare & RMA
All operations require authentication.
Get the modem exchange offerProduction
Returns whether the modem of the access can be exchanged for the latest model, the new model and the price with and without tax.
Path parameters
Service name
Response
To know if you can exchange your modem
Model of the new modem
Price with it's currency and textual representation
Price with it's currency and textual representation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ comfortExchange \
-H "authorization: Bearer $OVH_TOKEN"{ "canExchange": true, "newModel": "string", "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "priceWithTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }}
Order a modem exchangeProduction
Orders the replacement of the modem of the access by the latest model. Fees apply. Returns the order.
Path parameters
Service name
Request body (required)
Customer identifier for shipping address. By default Internet access address will be used. Allowed values are nichandle or «/me/contact/xyz»
Response
List of contracts related to the order
Details of the order
Identifier of the order
Prices of the order including with and without taxes
URL to download the order
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ comfortExchange \
-H "authorization: Bearer $OVH_TOKEN"{ "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "details": [ { "cartItemID": 0, "description": "string", "detailType": "ACCESSORY", "domain": "string", "originalTotalPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "quantity": 0, "reductionTotalPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "reductions": [ { "context": "promotion", "description": "string", "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "reductionDescription": "string", "type": "fixed_amount", "value": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } } ], "totalPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "unitPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } } ], "orderId": 0, "prices": { "originalWithoutTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "reduction": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "tax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "withTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "withoutTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } }, "url": "string"}
List the RMAs of an xDSL accessProduction
Returns the IDs of the return merchandise authorizations of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ rma \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an RMA of an xDSL accessProduction
Returns a return merchandise authorization with its type, process, status and steps, the returned and new equipment, the shipping contact and its dates.
Path parameters
Id
Service name
Response
Is the RMA cancellable?
Creation datetime of the return merchandise authorisation ticket
Merchandise reference
Return merchandise authorisation identifier
New merchandise brand in case of exchange
Offer type of the new merchandise in case of exchange
depositloanpurchaseOffer type of the return merchandise
depositloanpurchaseReturn merchandise authorisation type
changePhonephoneRestitutionundefinedReception datetime of the return merchandise authorisation ticket
Contact information structure
Return merchandise authorisation step
closedopenreceivedIndicates the current status of the RMA with a list of steps
Termination datetime of the return merchandise authorisation ticket
Typology process of merchandise return
after sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknownExample uses id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "cancellable": true, "creationDatetime": "2024-01-01T12:00:00Z", "equipmentReference": "string", "id": "string", "newMerchandise": "string", "offerTypeNew": "deposit", "offerTypeOld": "deposit", "process": "changePhone", "receptionDatetime": "2024-01-01T12:00:00Z", "shippingContact": { "address": "string", "city": "string", "country": "ac", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "zip": "string" }, "status": "closed", "steps": [ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "infos": "string", "name": "dispatchJustification", "status": "done" } ], "terminationDatetime": "2024-01-01T12:00:00Z", "type": "after sale equipment service exchange"}
Update an RMA of an xDSL accessProduction
Changes the process or the shipping contact of a return merchandise authorization.
Path parameters
Id
Service name
Request body (required)
Is the RMA cancellable?
Creation datetime of the return merchandise authorisation ticket
Merchandise reference
Return merchandise authorisation identifier
New merchandise brand in case of exchange
Offer type of the new merchandise in case of exchange
depositloanpurchaseOffer type of the return merchandise
depositloanpurchaseReturn merchandise authorisation type
changePhonephoneRestitutionundefinedReception datetime of the return merchandise authorisation ticket
Contact information structure
Return merchandise authorisation step
closedopenreceivedIndicates the current status of the RMA with a list of steps
Termination datetime of the return merchandise authorisation ticket
Typology process of merchandise return
after sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknownResponse
Example uses id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete an RMA of an xDSL accessProduction
Cancels the return merchandise authorization, when it is still cancellable.
Path parameters
Id
Service name
Response
Example uses id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Change the type of an RMAProduction
Changes a return merchandise authorization to a resiliation or to a SIP switch.
Path parameters
Id
Service name
Request body (required)
Types of return merchandise authorisation you can change to
resiliatetoSipResponse
Example uses id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ rma/ {id}/ changeType \
-H "authorization: Bearer $OVH_TOKEN"List the xDSL sparesProduction
Returns the names of the spare modems of the account.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an xDSL spareProduction
Returns the brand and MAC address of a spare modem.
Path parameters
Spare
Response
Modem brand model
IAM resource metadata
Mac address
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare} \
-H "authorization: Bearer $OVH_TOKEN"{ "brand": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "macAddress": "string"}
List the brands of xDSL sparesProduction
Returns the modem brands available as spares.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ brands \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List the replacement brands of a spareProduction
Returns the modem brands the spare is compatible with as a replacement.
Path parameters
Spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare}/ compatibleReplacement \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get service informationProduction
Returns the service status, creation and expiration dates, renewal settings and contacts of the spare.
Path parameters
Spare
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Changes the renewal settings of the spare: automatic renewal, renewal period and deletion at expiration.
Path parameters
Spare
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Replace a modem with a spareProduction
Replaces the modem of an access with the spare modem.
Path parameters
Spare
Request body (required)
The modem to replace by the spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare}/ replace \
-H "authorization: Bearer $OVH_TOKEN"Return a broken spareProduction
Returns the broken spare modem with an instant refund.
Path parameters
Spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare}/ returnMerchandise \
-H "authorization: Bearer $OVH_TOKEN"Delete an xDSL spareProduction
Removes the spare modem from the account, as if it no longer belonged to OVHcloud.
Path parameters
Spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ spare/ {spare} \
-H "authorization: Bearer $OVH_TOKEN"